/*
 * @(#)DebugServlet.java	1.1 97/10/13
 * 
 * Copyright (c) 1996-1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import sun.servlet.http.HttpRequest;
import sun.servlet.http.HttpResponse;

/**
 * A simple debugger filter.
 * This filter is installed by the <tt>Debug</tt> or <tt>OptionalDebug</tt>
 * processing stages. It will dump as much information as possible about the
 * request that has just been processed.
 * @see Debug
 * @see OptionalDebug
 * @author Anselm Baird-Smith
 */

public class DebugServlet extends javax.servlet.http.HttpServlet {

    /**
     * Service a request by tracing the request/response pair.
     * @param req The request that has been handled.
     * @param res The response that has been emitted.
     */

    public void service(HttpServletRequest req, HttpServletResponse res) {
System.out.println("*** DebugServlet: dumps");
	((HttpRequest) req).dump(System.out);
	((HttpResponse) res).getHeaders().dump(System.out);
    }

}
